.assignment-student
  height: 100%
  padding: 0
.student-table
  width: 100%
  height: 100%
  left: 0
  top: -10px
  position: absolute
  display: flex
  flex-wrap: wrap
  align-items: baseline
  align-content: flex-start
  max-height: calc(100vh - 100px)
  overflow: scroll

.assignment-card
  &__container
    width: 360px
    height: 380px
    margin-left: 5%
    margin-top: 5%
    display: flex
    background-color: #ffffff
    border-radius: 8px
    box-shadow: 0 2px 6px 0 rgba(47,83,151,0.1)
    .bottom-line
      width: 100%
      background: $alabaster
      height: 1px
    .student-mark
      width: 100%
      display: flex
      height: 70px

      .student-mark__item
        width: 20px
        margin: 0 auto
        align-items: center
        display: flex
        height: 100%

      .tool-tip-text
        &::before
          content: ''
          position: absolute
          left: -16px
          bottom: 25px
          border: 6px solid transparent
          border-right: 10px solid $header-blue

      .student-tool-tip
        margin-left: 1%
        position: relative
        &:hover
          .tool-tip-text
            display: block
            position: absolute
            top: -28px
            z-index: 9999
            width: 136px

  &__content
    display: flex
    width: 100%
    flex-direction: column

    .inline-container
      width: 330px
      height: 260px
      margin: 0 auto
      flex-direction: column
      overflow-y: scroll

      .content
        margin-bottom: 2%

      .assignment-card__item
        height: 28px
        width: 95%
        color: $dodger-blue
        font-size: 15px
        font-weight: 600
        display: flex
        justify-content: space-between
        letter-spacing: 0.29px
        line-height: 23px

        .assignment-card__name
          text-decoration: underline
          cursor: pointer
          width: 65%
          overflow: hidden
          text-overflow: ellipsis

        .mark
          align-items: center
          display: flex
          width: 30%
          justify-content: flex-end
          .mark-item
            cursor: pointer
            padding-bottom: 4px

        .line
          background: $text-light-grey
          width: 10px
          height: 1px
          align-items: center
          display: flex

        .assignment-card__status
          width: 60px
          display: flex
          position: relative
          flex-direction: row
          align-items: center

          .mark-item
            cursor: pointer

          .mark-button
            width: 100px
            left: -24px
            justify-content: center
            display: flex
            position: absolute
            top: 1px

          .attendance-status
            justify-content: flex-start
            width: 58px
            display: flex
            align-items: center

          .line
            background: $text-light-grey
            width: 10px
            height: 1px
            color: white
            align-items: center
            display: flex

          img
            padding-right: 20px
            height: 14px

          .img-container
            &:hover
              .tool-tip-text
                display: block
                position: absolute
                z-index: 9999
                width: 80px
                height: 10px
                text-align: center
                border-radius: 0
                margin-top: 0
                margin-left: 0
                left: -30px
                background-color: $table-header-color
                color: $text-light-grey
                padding: 0
                padding-bottom: 10px
                &::before
                  display: none

    .assignment-card__weight
      display: flex
      height: 19px
      width: 77px
      color: $text-light-grey
      font-size: 15px
      line-height: 19px

  &__subject
    margin: 0 auto
    color: $head-link
    padding-top: 7%
    height: 50px
    font-family: 'Titillium Web', sans-serif
    font-size: 18px
    font-weight: 600
    letter-spacing: 0.34px
    line-height: 27px
    text-align: center
    width: 80%
    overflow: hidden
    white-space: nowrap
    text-overflow: ellipsis

